### Virtual Method

# Hex Buffer get_byte

#### Declaration

    char
    get_byte (
      HexBuffer* self,
      gint64 offset
    )

#### Description

Get a single byte at a particular offset within the buffer.

#### Parameters

`offset`

  Type: `gint64`

  Offset position of the data being requested within the payload.

#### Return value

Type: `char`

The 8-bit character located at `offset` within the payload, or ‘\0’.